using MECF.Framework.Common.DataCenter;
using OpenSEMI.ClientBase;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SicUI.Models.PMs
{
    /// <summary>
    /// ExchangeMoSelectDialogView.xaml 的交互逻辑
    /// </summary>
    public partial class ExchangeMoSelectDialogView : UserControl
    {
        public ExchangeMoSelectDialogView()
        {
            InitializeComponent();
        }
    }

    public class ExchangeMoSelectDialogViewModel : DialogViewModel<string>
    {

        public ExchangeMoSelectDialogViewModel()
        {
            MoList = new List<string>() { "CS2", "W(CO)6", "MOReserved", "MO(CO)6" };
        }

        public void OK()
        {
            if (!string.IsNullOrEmpty(SelectedMO))
            {
                this.DialogResult = SelectedMO;
                IsCancel = false;
                TryClose(true);
            }
        }

        public void Cancel()
        {
            IsCancel = true;
            TryClose(false);
        }

        public List<string> MoList { get; set; }
        public string SelectedMO { get; set; }
    }
}
